Module
Inhalte
Index 🔎︎

# Anweisung DefSng

Wenn kein Zeichen oder Schlüsselwort zur Typendeklaration angegeben ist, setzt die DefSng-Anweisung den Standardvariablentyp entsprechend einem Buchstabenbereich.

## Syntax:

    Defxxx Zeichenbereich1[, Zeichenbereich2[,...]]

## Parameter:

Zeichenbereich: Buchstaben, welche die Variablen-Namensbereiche der zu definierenden Standard-Datentypen festlegen.

xxx: Schlüsselwort zur Definition des Standard-Variablentyps:

Schlüsselwort: voreingestellter Variablentyp

DefSng: Single

## Beispiel:

    ' Prefix-Definitionen für die verschiedenen Typen von Variablen:

    DefBool b

    DefDate t

    DefDbl d

    DefInt i

    DefLng l

    DefObj o

    DefVar v

    DefSng s

    Sub ExampleDefSng

        sSng=Single ' sSng ist eine implizite single-Variable

    End Sub